/***Overriden classes***/
/*General*/
html,body{
  height: 100%;
}
body{
  background-color: #F1F1F1;
  box-sizing: border-box;
}
.main-container{
  min-height: 100%; position: relative;
}
#wrapper{
  padding-bottom: 40px;
}
  #page-wrapper{
    min-height: auto;
  }
/*Form*/
input[type="checkbox"]{
  visibility: hidden;
}
.file-preview{
  border-radius: 1px;
}
.checkbox-label{
  margin-left: -16px;
  height: 17px;
}
.checkbox-label:before{
  content: "";
  display: inline-block;
  cursor: pointer;
  width: 17px; height: 17px;
  background: white; border: 1px solid #D4D4D4;
  margin-top: 8px;
}
.checkbox-label:before{
  content: "\f00c"; color: transparent; line-height: 17px
}
  input[type=checkbox]:checked + .checkbox-label:before{
    color: white; font: normal normal normal 12px/1 FontAwesome; text-align: center; line-height: 17px;
    background: #4CAF50; border: #4CAF50;
    margin-bottom: 10px;
  }
textarea{
  resize: vertical;
}
/*Button*/
.btn{
  transition: all .2s ease-out;
  border-radius: 2px;
}
.btn-primary{
  background-color: #2799F9; border-color: #2799F9;
}
  .btn-primary:hover, .btn-primary:focus, .btn-primary:active, .btn-primary.active, .open .dropdown-toggle.btn-primary, .btn-primary:active:focus, .btn-primary:active:hover, .btn-primary.active:hover, .btn-primary.active:focus{
    background-color: #2184D8; border-color: #2184D8;
  }
.btn-success{
  background-color: #4CAF50; border-color: #4CAF50;
}
  .btn-success:hover, .btn-success:focus, .btn-success:active, .btn-success.active, .open .dropdown-toggle.btn-success, .btn-success:active:focus, .btn-success:active:hover, .btn-success.active:hover, .btn-success.active:focus{
    background-color: #429C46; border-color: #429C46;
  }
    .btn-success.disabled, .btn-success.disabled:hover, .btn-success.disabled:focus, .btn-success.disabled:active, .btn-success.disabled.active, .btn-success[disabled], .btn-success[disabled]:hover, .btn-success[disabled]:focus, .btn-success[disabled]:active, .btn-success.active[disabled], fieldset[disabled] .btn-success, fieldset[disabled] .btn-success:hover, fieldset[disabled] .btn-success:focus, fieldset[disabled] .btn-success:active, fieldset[disabled] .btn-success.active{
      background-color: #4CAF50; border-color: #4CAF50;
    }
.btn-info{
  background-color: #00BCD4; border-color: #00BCD4;
}
  .btn-info:hover, .btn-info:focus, .btn-info:active, .btn-info.active, .open .dropdown-toggle.btn-info, .btn-info:active:focus, .btn-info:active:hover, .btn-info.active:hover, .btn-info.active:focus{
    background-color: #02A6BB; border-color: #02A6BB;
  }
/*Form*/
.form-control:focus, .single-line:focus{
  border-color: #2799F9 !important;
}
/*Sweet alert*/
.sweet-alert{
  border-radius: 1px;
  font-family: open sans;
}
  .sweet-alert button{
    border-radius: 2px;
    padding: 0 10px; height: 34px;
    font-size: 14px;
  }
  .sweet-alert h2{
    color: #333;
  }
/*Text elements*/
strong small{
  color: #949494; font-style: italic;
}
/*Pace*/
.pace .pace-progress{
  background: #2799F9;
}
.load-overlay{
  position: fixed; z-index: 1999;
  width: 100%; height: 100%;
  background: #F1F1F1;
  animation-duration: .2s; -webkit-animation-duration: .2s;
}
  .load-overlay.done{
    display: none;
  }
/*Sidebar*/
.sidebar-wrapper{
  height: 100%; position: fixed;
  z-index: 1010;
}
.nav-header{
  background: #272727;
  padding: 10px;
}
.nav > li.active{
  border-left: 0;
  background-color: transparent;
}
.nav-second-level > li.active, .nav > li.no-sub.active{
  border-left: 0;
  background-color: #3A3A3A;
}
.nav > li > a{
  color: #E0E0E0;
}
.navbar-default .nav > li > a:hover, .navbar-default .nav > li > a:focus{
  background-color: #3A3A3A;
}
.mini-navbar .nav-second-level{
  background: #272727;
}
.navbar-default{
  height: 100%; background: #272727
}
body.mini-navbar .nav-header{
  background: #272727;
  padding: 5px 0;
}
  body.mini-navbar .nav-header img{
    width: 64px;
  }
body.mini-navbar .navbar-default .nav > li > .nav-second-level li a{
  border-radius: 2px;
}
body:not(.fixed-sidebar):not(.canvas-menu).mini-navbar .nav li:hover > .nav-second-level, .mini-navbar .nav li:focus > .nav-second-level{
  width: auto;
}
.nav-second-level li, .nav-third-level li{
  white-space: nowrap;
}
.nav.navbar-right > li:hover > a{
  color: #000;
}
.close-menu-mobile{
  height: 50px;
}
  .close-menu-mobile>a{
    position: absolute; top: 0; left: 0;
  }
.minimalize-styl-2{
  margin-top: 15px;
}
@media (max-width: 768px){
  .body-small .navbar-static-side{
    width: 220px;
    animation-duration: .3s; -webkit-animation-duration: .3s;
  }
  .navbar-static-side.open{
    display: block;
  }
}
/*Tutorial*/
.tutorial-list{
  font-weight: bold; font-size: 1.3rem;
}
.tutorial-container{
  font-weight: normal;
  margin: 10px 0;
}
  .tutorial-container>div{
    padding: 5px;
  }
.tutorial-gif{
  width: 100%; height: 130px;
}
/*Modal imagem*/
.modal-image{
  width: 100%; height: auto; margin-top: 0;
}
.modal-image>.modal-content{
  background: transparent; box-shadow: none; border: none;
  height: auto; margin: auto;
}
  .modal-image .modal-body{
    max-width: 45%; margin: auto;
  }
  @media (max-width: 768px){
    .modal-image .modal-body{
      max-width: 95%;
    }
  }
  .modal-body>img{
    width: 100%;
  }
  .modal-image .modal-header{
    border: none;
  }
    .modal-image .close{
      text-shadow: none; opacity: 1;
      position: absolute; right: 20px; top: 10px;
    }
    .modal-image .close>span{
      color: white; font-size: 3rem; text-shadow: none;
    }
/*Image zoom hover effect*/
.img-overlay{
  opacity: 0;
  transition: opacity .3s ease-out;
  background: rgba(0,0,0,0.2);
  width: 100%; height: 100%;
  color: white; font-size: 2.5rem; text-align: center;
}
  .img-overlay>i{
    margin-top: 50px;
  }
  .img-overlay:hover{
    opacity: 1;
  }
/*Tooltips*/
.tooltip-inner{
  background: rgba(0,0,0,.8);
  border-radius: 2px;
}
.tooltip-arrow{
  border-bottom-color: rgba(0,0,0,.8);
}
/*Sidebar new script*/
/*Nav-tabs*/
.nav-tabs > li > a{
  color: #ABABAB
}
/*Footer*/
.footer{
  position: absolute; bottom: 0; right: 0;
  width: 100%; height: 40px; padding: 0 15px;
  line-height: 40px;
  text-align: right;
}
/*Summernote*/
.note-editor.note-frame.panel.panel-default{
  border: 0; margin: 0;
}
@media (max-width: 767px){
  .note-editor .panel-heading{
    text-align: center;
  }
}
/*Toastr*/
.toast{
  background: #2799F9;
}
.toast-success{
  background: #4CAF50;
}
.toast-error{
  background: #F44336;
}
.toast-info{
  background: #00BCD4;
}
.toast-warning{
  background: #FFA000;
}
/*DataTables*/
.data-table-container .form-control, .single-line{
  padding: 0 12px;
}
  .data-table-container .form-inline .form-control{
    margin: 0 5px;
  }
.data-table-container #table-produtos_filter,.data-table-container #table-marca_filter{
  text-align: left;
  margin-left: 4px;
}
@media (min-width: 768px){
  .data-table-container #table-produtos_filter,.data-table-container #table-marca_filter{
    text-align: right;
    margin-left: 0;
  }
}
/*Helpers*/
.gray-bg{ background-color: #F1F1F1; }
/*Bootstrap*/
.hidden-xs-inline-block{
  display: inline-block;
}
@media (max-width: 768px){
  .hidden-xs-inline-block{
    display: none;
  }
}
/***Created classes***/
/*Logo*/
.logo-login>img{
  width: 300px;
  margin-bottom: 40px;
}
.logo-index>img{
  width: 250px;
}
.logo-user-nav{
  text-align: center;
}
  .logo-user-nav>img{
    width: 200px;
    transition: width .2s ease-out;
  }
/*Timeline*/
.timeline-title,.timeline-chamada{
  white-space: nowrap; overflow: hidden; text-overflow: ellipsis
}
.timeline-item .content:hover{
  background-color: transparent;
}
/*Helpers*/
.p-0{ padding: 0; }
.p-20{ padding: 20px; }
.p-t-20{ padding-top: 20px; }
.m-0{ margin: 0; }
@media (max-width: 966px){
  .m-b-2-sm{ margin-bottom: 2px; }
}
.c-red{ color: #F44336; }
